﻿@page "{AccountID}"
@using Canyon.GM.Panel.Services.Core;
@inject IStringLocalizer StringLocalizer;
@model Canyon.GM.Panel.Areas.User.Pages.TradeHistoryModel
@{
    Layout = "~/Areas/User/Shared/_Layout.cshtml";
    ViewData[TITLE] = StringLocalizer.GetString("ManageUserTitle", Model.Account.UserName);
}

<div class="mt-30 mb-40">
    <form method="get">
        <div class="row">
            <div class="col-md-6">
                <div class="row">
                    <label class="control-label col-sm-3">@StringLocalizer.GetString("Realm")</label>
                    <div class="col-sm-9">
                        <select class="form-control" asp-for="Input.RealmID">
                            @foreach (var realm in Model.Realms)
                            {
                                <option value="@realm.RealmID">@realm.RealmName</option>
                            }
                        </select>
                    </div>
                </div>
            </div>
            @if (Model.Input.RealmID.HasValue)
            {
                <div class="col-md-6">
                    <div class="row">
                        <label class="control-label col-sm-3">@StringLocalizer.GetString("Name")</label>
                        <div class="col-sm-9">
                            <select class="form-control" asp-for="Input.CharacterID">
                                @foreach (var character in Model.ConquerAccounts)
                                {
                                    <option value="@character.Identity">@character.Name</option>
                                }
                            </select>
                        </div>
                    </div>
                </div>
            }
        </div>
        <button class="btn btn-primary mt-3" type="submit">@StringLocalizer.GetString("Search")</button>
    </form>
</div>

@if (Model.Trades.Count > 0)
{
    <div class="nk-gap-2"></div>
    <div class="mt-30 mb-40 table-responsive">
        <table id="tradeHistoryTable" class="table table-bordered" aria-label="None">
            <thead>
                <tr>
                    <th>#</th>
                    <th>@StringLocalizer.GetString("Target")</th>
                    <th>@StringLocalizer.GetString("Date")</th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                @foreach (var trade in Model.Trades)
                {
                    <tr>
                        <td>@trade.Id</td>
                        <td>
                            @if (trade.CallerId == Model.Input.CharacterID)
                            {
                                @Model.GetPlayerName(trade.TargetId, trade.TargetName)
                                ;
                            }
                            else
                            {
                                @Model.GetPlayerName(trade.CallerId, trade.CallerName)
                                ;
                            }
                        </td>
                        <td>@trade.Timestamp</td>
                        <td>
                            <a asp-area="User" asp-page="/TradeHistoryDetail" asp-route-AccountID="@Model.AccountID" asp-route-RealmID="@Model.Input.RealmID" asp-route-TradeID="@trade.Id"><i class="fa fa-search" aria-hidden="true"></i></a>
                        </td>
                    </tr>
                }
            </tbody>
        </table>
    </div>
}